Information on source package libxstream-java

Available versions

ReleaseVersion
jessie1.4.11.1-1+deb8u4
stretch1.4.9-2
stretch (security)1.4.11.1-1+deb9u4
buster1.4.11.1-1+deb10u2
bullseye1.4.15-3
bookworm1.4.18-2
sid1.4.18-2

Open issues

BugjessiestretchbusterbullseyebookwormsidDescription
CVE-2021-39154fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39153fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39152fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39151fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39150fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39149fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39148fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39147fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39146fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39145fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39144fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39141fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39140fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-39139fixedfixedvulnerablevulnerablefixedfixedXStream is a simple library to serialize objects to XML and back again ...
CVE-2021-29505fixedfixedvulnerablefixedfixedfixedXStream is software for serializing Java objects to XML and back again ...
CVE-2021-21351fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21350fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21349fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21348fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21347fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21346fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21345fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21344fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21343fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21342fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...
CVE-2021-21341fixedfixedvulnerablefixedfixedfixedXStream is a Java library to serialize objects to XML and back again. ...

Resolved issues

BugDescription
CVE-2020-26259XStream is a Java library to serialize objects to XML and back again. ...
CVE-2020-26258XStream is a Java library to serialize objects to XML and back again. ...
CVE-2020-26217XStream before version 1.4.14 is vulnerable to Remote Code Execution.T ...
CVE-2019-10173It was found that xstream API version 1.4.10 before 1.4.11 introduced ...
CVE-2017-7957XStream through 1.4.9, when a certain denyTypes workaround is not used ...
CVE-2016-3674Multiple XML external entity (XXE) vulnerabilities in the (1) Dom4JDri ...
CVE-2013-7285Xstream API versions up to 1.4.6 and version 1.4.10, if the security f ...

Security announcements

DSA / DLADescription
ELA-488-1libxstream-java - security update
DLA-2769-1libxstream-java - security update
DLA-2704-1libxstream-java - security update
ELA-455-1libxstream-java - security update
DLA-2616-1libxstream-java - security update
ELA-398-1libxstream-java - security update
DSA-4828-1libxstream-java - security update
DLA-2507-1libxstream-java - security update
ELA-336-1libxstream-java - security update
DSA-4811-1libxstream-java - security update
ELA-326-1libxstream-java - security update
DLA-2471-1libxstream-java - security update
DSA-3841-1libxstream-java - security update
DLA-930-1libxstream-java - security update
DLA-504-1libxstream-java - security update
DSA-3575-1libxstream-java - security update

Search for package or bug name: Reporting problems